
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.Timer;
import javax.swing.WindowConstants;
import view.ProgressDialog;

public class DialogTester extends JFrame {
    
    public DialogTester(){
        setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
        setSize(400, 400);
        
        ProgressDialog dialog = new ProgressDialog(this, "Starting up a game", "Waiting for clients...");
        
        getContentPane().add(new JButton(new AbstractAction("Show dialog for 2 secs!") {
            @Override
            public void actionPerformed(ActionEvent ae) {
                dialog.showDialog(10000);
            }
        }));
        
        setLocationRelativeTo(null);
        setVisible(true);
    }
    
    
    public static void main(String[] args){
        new DialogTester();
    }
}
