package model;

import java.io.Serializable;

public enum Direction{
    // X axis points to right, Y axis points downwards 
    LEFT(180, -1, 0), RIGHT(0, 1, 0), UP(90, 0, -1), DOWN(270, 0, 1), STAY(0, -1, -1);
    
    public final int angle, x, y;
    public final boolean isHorizontal, isVertical;

    private Direction(int angle, int x, int y) {
        isHorizontal = (y == 0);
        isVertical = (x == 0);
        this.angle = angle;
        this.x = x;
        this.y = y;
    }
}
