package model;

import java.awt.Color;
import java.io.IOException;
import java.io.PipedInputStream;
import java.io.PipedOutputStream;
import model.Player;
import org.junit.Test;
import static org.junit.Assert.*;

public class PlayerTester {
    @Test
    public void testPlayerSerialization() throws IOException{
        final PipedInputStream pis = new PipedInputStream();
        final PipedOutputStream pos = new PipedOutputStream();
        pis.connect(pos);

        Player p1 = new Player(10, 20, 32, Color.yellow, 5);
        Player p2 = new Player(10, 20, 32, Color.yellow, 5);
        p1.setSmoothCoord(323, 645);
        pos.write(p1.toByteArray());
        p2.updateFromStream(pis);
        
        assertTrue("p and p2 not equal", p1.equals(p2));
    }
}
